rte_swx_ctl_table_match_field_info(3)

NAME
rte_swx_ctl_table_match_field_info

SYNOPSIS

#include <rte_swx_ctl.h>

  Data Fields

enum rte_swx_table_match_type match_type
int is_header
uint32_t n_bits
uint32_t offset

Detailed Description

Table match field info.

If (n_bits, offset) are known for all the match fields of the table, then the table (key_offset, key_size, key_mask0) can be computed.

Definition at line 273 of file rte_swx_ctl.h.

Field Documentation

  enum rte_swx_table_match_type match_type
Match type of the current match field.

Definition at line 275 of file rte_swx_ctl.h.

  int is_header
Non-zero (true) when the current match field is part of a registered header, zero (false) when it is part of the registered meta-data.

Definition at line 280 of file rte_swx_ctl.h.

  uint32_t n_bits
Match field size (in bits).

Definition at line 283 of file rte_swx_ctl.h.

  uint32_t offset
Match field offset within its parent struct (one of the headers or the meta-data).

Definition at line 288 of file rte_swx_ctl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.